select
  an.numero as numero
  , par.data as data_parto
  , (case when (parant.cdreproducao is not null) then (par.data - parant.data) else null end) as iep_parto
from
  animal an
  join reproducao par on par.cdanimal = an.cdanimal
  left join reproducao parant on parant.cdreproducao =
    (select first 1 re.cdreproducao from reproducao re where re.cdanimal = par.cdanimal and re.data < par.data and re.cdtiporeproducao = 7
        order by re.data desc)
where
  par.cdtiporeproducao = 7
  ---INSIRA AQUI O PERODO DOS PARTOS. MANTENHA O FORMATO AAAA-MM-DD E AS ASPAS SIMPLES.
  and par.data between '2010-01-01' and '2014-12-31'
